/*
 * bbox.c
 */

#include "init.h"
#include "bbox.h"

static VALUE sTT_Bound_Box;

VALUE
tt_bbox_setup(box)
	TT_BBox *box;
{
	return rb_struct_new(sTT_Bound_Box,
		INT2FIX(box->xMin),
		INT2FIX(box->yMin),
		INT2FIX(box->xMax),
		INT2FIX(box->yMax),
		0 );
}

void
tt_init_bbox()
{
	sTT_Bound_Box = rb_struct_define("Bound_Box",
		"x_min",
		"y_min",
		"x_max",
		"y_max",
		0 );
	rb_global_variable(&sTT_Bound_Box);
}
