/*
 * gmetrics.c
 */

#include "init.h"
#include "gmetrics.h"
#include "bbox.h"

static VALUE sTT_Glyph_Metrics;

VALUE
tt_gmetrics_setup(gmetrics)
	TT_Glyph_Metrics *gmetrics;
{
	return rb_struct_new(sTT_Glyph_Metrics,
		tt_bbox_setup(&gmetrics->bbox),
		INT2FIX(gmetrics->bearingX),
		INT2FIX(gmetrics->bearingY),
		INT2FIX(gmetrics->advance),
		0 );
}

void
tt_init_gmetrics()
{
	sTT_Glyph_Metrics = rb_struct_define("Glyph_Metrics",
		"bbox",
		"bearing_x",
		"bearing_y",
		"advance",
		0 );
	rb_global_variable(&sTT_Glyph_Metrics);
}
