/*
 * faceattr.c
 */

#include "init.h"

static VALUE
tt_face_get_num_glyphs(self)
	VALUE self;
{
	t_face *p;
	GetFace(self, p);
	return INT2FIX(p->attr.num_glyphs);
}

static VALUE
tt_face_get_max_points(self)
	VALUE self;
{
	t_face *p;
	GetFace(self, p);
	return INT2FIX(p->attr.max_points);
}

static VALUE
tt_face_get_max_contours(self)
	VALUE self;
{
	t_face *p;
	GetFace(self, p);
	return INT2FIX(p->attr.max_contours);
}

static VALUE
tt_face_get_num_charmaps(self)
	VALUE self;
{
	t_face *p;
	GetFace(self, p);
	return INT2FIX(p->attr.num_charmaps);
}

static VALUE
tt_face_get_num_names(self)
	VALUE self;
{
	t_face *p;
	GetFace(self, p);
	return INT2FIX(p->attr.num_names);
}

static VALUE
tt_face_get_num_faces(self)
	VALUE self;
{
	t_face *p;
	GetFace(self, p);
	return INT2FIX(p->attr.num_faces);
}

/*
rb_define_method(cTT_face, "header", tt_face_get_header, 0);
rb_define_method(cTT_face, "horizontal", tt_face_get_horizontal, 0);
rb_define_method(cTT_face, "os2", tt_face_get_os2, 0);
rb_define_method(cTT_face, "postscript", tt_face_get_postscript, 0);
rb_define_method(cTT_face, "hdmx", tt_face_get_hdmx, 0);
rb_define_method(cTT_face, "vertical", tt_face_get_vertical, 0);
*/

void
tt_init_faceattr()
{
	rb_define_method(cTT_face, "num_glyphs", tt_face_get_num_glyphs, 0);
	rb_define_method(cTT_face, "max_points", tt_face_get_max_points, 0);
	rb_define_method(cTT_face, "max_contours", tt_face_get_max_contours, 0);
	rb_define_method(cTT_face, "num_charmaps", tt_face_get_num_charmaps, 0);
	rb_define_method(cTT_face, "num_names", tt_face_get_num_names, 0);
	rb_define_method(cTT_face, "num_faces", tt_face_get_num_faces, 0);
	rb_define_method(cTT_face, "header", tt_face_get_header, 0);
	rb_define_method(cTT_face, "horizontal", tt_face_get_horizontal, 0);
	rb_define_method(cTT_face, "os2", tt_face_get_os2, 0);
	rb_define_method(cTT_face, "postscript", tt_face_get_postscript, 0);
	rb_define_method(cTT_face, "hdmx", tt_face_get_hdmx, 0);
	rb_define_method(cTT_face, "vertical", tt_face_get_vertical, 0);
}
