/*
 * matrix.c
 */

#include "init.h"
#include "matrix.h"

static VALUE sTT_Matrix;

VALUE
tt_matrix_setup(matrix)
	TT_Matrix *matrix;
{
	return rb_struct_new(sTT_Matrix,
		INT2FIX(matrix->xx),
		INT2FIX(matrix->xy),
		INT2FIX(matrix->yx),
		INT2FIX(matrix->yy),
		0 );
}

VALUE
tt_matrix_new(self)
	VALUE self;
{
	TT_Matrix *matrix;
	matrix = ALLOC(TT_Matrix);
	return tt_matrix_setup(matrix);
}

void
tt_init_matrix()
{
	sTT_Matrix = rb_struct_define("Matrix",
		"xx",
		"xy",
		"yx",
		"yy",
		0 );
	rb_global_variable(&sTT_Matrix);
}
