#!/usr/local/bin/ruby

require 'freetype'

true_type = '/usr/X11R6/lib/X11/fonts/xtt/watanabe-mincho.ttf'
face = FreeType::Face.open true_type
prop = face.properties

for i in 0...prop.num_charmaps
  cmap = face.charmap(i)
  for n in 0x0000..0xffff
    r = cmap[n]
    next if r == 0
    printf "%04x:%04x ", n, r
  end
  print "\n"
end
