/**
 * attr.h
 *
 * by YOSHIDA Kazuhiro (moriq.kazuhiro@nifty.ne.jp)
 */

#define DefineNumericAttr(class, attr) \
static VALUE \
tt_##class##_get_##attr(obj)\
	VALUE obj;\
{\
TT_##class *p;\
	Data_Get_Struct(obj, TT_##class, p);\
	return INT2NUM(p->attr);\
}\
\
static VALUE \
tt_##class##_set_##attr(obj, arg)\
	VALUE obj, arg;\
{\
	TT_##class *p;\
	Data_Get_Struct(obj, TT_##class, p);\
	p->attr = NUM2INT(arg);\
	return arg;\
}

#define SetupAttr(class, attr) {\
	rb_define_method(cTT_##class, #attr, tt_##class##_get_##attr, 0);\
	rb_define_method(cTT_##class, #attr "=", tt_##class##_set_##attr, 1);\
}

