/*
 * raster_map.c
 */

#include "init.h"
#include "raster_map.h"

static VALUE sTT_Raster_Map;

VALUE
tt_raster_map_setup(map)
	TT_Raster_Map *map;
{
	return rb_struct_new(sTT_Raster_Map,
		INT2FIX(map->rows),
		INT2FIX(map->cols),
		INT2FIX(map->width),
		INT2FIX(map->flow),
		rb_str_new(map->bitmap, map->size),
		0 );
}

void
tt_init_raster_map()
{
	sTT_Raster_Map = rb_struct_define("Raster_Map",
		"rows",
		"cols",
		"width",
		"flow",
		"bitmap",
		0 );
	rb_global_variable(&sTT_Raster_Map);
}
