/*
 * smetrics.c
 */

#include "init.h"
#include "smetrics.h"

static VALUE sTT_Scale_Metrics;

VALUE
tt_smetrics_setup(smetrics)
	TT_Instance_Metrics *smetrics;
{
	return rb_struct_new(sTT_Scale_Metrics,
		INT2FIX(smetrics->pointSize),
		INT2FIX(smetrics->x_ppem),
		INT2FIX(smetrics->y_ppem),
		INT2FIX(smetrics->x_scale),
		INT2FIX(smetrics->y_scale),
		INT2FIX(smetrics->x_resolution),
		INT2FIX(smetrics->y_resolution),
		0 );
}

void
tt_init_smetrics()
{
	sTT_Scale_Metrics = rb_struct_define("Scale_Metrics",
		"point_size",
		"x_ppem",
		"y_ppem",
		"x_scale",
		"y_scale",
		"x_resolution",
		"y_resolution",
		0 );
	rb_global_variable(&sTT_Scale_Metrics);
}
